<?php
// Define Directory Constants
define('CADEN_FRAME', TEMPLATEPATH . '/framework');
define('CADEN_ADMIN', CADEN_FRAME . '/admin');

// Load Admin Options
require_once(CADEN_ADMIN . '/options.php');

// Load Admin Interface
require_once(CADEN_ADMIN . '/theme.php');

// Meta Boxes for all post types
require_once(CADEN_ADMIN . '/types/meta_box.php');
require_once(CADEN_ADMIN . '/types/images_meta_box.php');

//Testimonials
require_once(CADEN_ADMIN . '/types/testimonials.php');

//Services
require_once(CADEN_ADMIN . '/types/services.php');


// Add support for thumbnails and menus
//add_theme_support( 'post-thumbnails' );
//add_theme_support( 'menus' );


	
	
function register_my_menus() {
  register_nav_menus(
    array('main-menu' => __( 'Main Menu' ) )
  );
  register_nav_menus(
    array('footer-menu' => __( 'Footer Menu' ) )
  );
}

add_action( 'init', 'register_my_menus' );
	
add_filter( 'nav_menu_css_class', 'add_parent_url_menu_class', 10, 2 );

function add_parent_url_menu_class( $classes = array(), $item = false ) {
	// Get current URL
	$current_url = current_url();

	// Get homepage URL
	$homepage_url = trailingslashit( get_bloginfo( 'url' ) );

	// Exclude 404 and homepage
	if( is_404() or $item->url == $homepage_url ) return $classes;

	if ( strstr( $current_url, $item->url) ) {
		// Add the 'parent_url' class
		$classes[] = 'parent_url';
	}

	return $classes;
}

function current_url() {
	// Protocol
	$url = ( 'on' == $_SERVER['HTTPS'] ) ? 'https://' : 'http://';

	$url .= $_SERVER['SERVER_NAME'];

	// Port
	$url .= ( '80' == $_SERVER['SERVER_PORT'] ) ? '' : ':' . $_SERVER['SERVER_PORT'];

	$url .= $_SERVER['REQUEST_URI'];

	return trailingslashit( $url );
}


	
	//Excerpt Words limit
	function string_limit_words($string, $word_limit)
	{
	  $words = explode(' ', $string, ($word_limit + 1));
	  if(count($words) > $word_limit)
	  array_pop($words);
	  return implode(' ', $words);
	}
	function custom_excerpt_length( $length ) {
	return 100;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

// Custom Thumbnail Size

if(function_exists('add_theme_support')) {
    /** Exists! So add the post-thumbnail */
    add_theme_support('post-thumbnails');
    /** Now Set some image sizes */

    /** #1 for our featured content slider */

    add_image_size( $name = 'itg_featured', $width = 500, $height = 300, $crop = true ); 

    /** #2 for post thumbnail */

    add_image_size( 'about-banners', 1162, 231, true );
	
	add_image_size( 'about-thumbs', 70, 70, true ); 

}
// Add Excerpt to pages
add_action( 'init', 'my_add_excerpts_to_pages' );
function my_add_excerpts_to_pages() {
     add_post_type_support( 'page', 'excerpt' );
}

add_filter('show_admin_bar', '__return_false');