<?php

/**

 * The Header for our theme.



 *



 * Displays all of the <head> section and everything up till <div id="main">



 *



 * @package WordPress



 * @subpackage Twenty_Ten



 * @since Twenty Ten 1.0



 */

?>

<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title>
<?php



	/*



	 * Print the <title> tag based on what is being viewed.



	 */

	global $page, $paged;

	

	wp_title( '|', true, 'right' );



	// Add the blog name.



	bloginfo( 'name' );



	// Add the blog description for the home/front page.



	$site_description = get_bloginfo( 'description', 'display' );



	if ( $site_description && ( is_home() || is_front_page() ) )



		echo " | $site_description";



	// Add a page number if necessary:



	if ( $paged >= 2 || $page >= 2 )



		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?>
</title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php



	/* We add some JavaScript to pages with the comment form

	

	 * to support sites with threaded comments (when in use).



	 */



	if ( is_singular() && get_option( 'thread_comments' ) )



		wp_enqueue_script( 'comment-reply' );



	/* Always have wp_head() just before the closing </head>



	 * tag of your theme, or you will break many plugins, which



	 * generally use this hook to add elements to <head> such



	 * as styles, scripts, and meta tags.

	 

	 */



	wp_head();



?>
<!--Custom code-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script src="<?php bloginfo('template_url'); ?>/js/slides.min.jquery.js"></script>
<link rel="stylesheet" href="<?php bloginfo("template_url");?>/css/colorbox.css" />
<script src="<?php bloginfo("template_url");?>/js/jquery.colorbox.js"></script>
<script>

		$(function(){

			$('#slides').slides({

				preload: true,

				//generateNextPrev: true

				play: 10000

			});

		});

	</script>
<script src="<?php bloginfo('template_url'); ?>/fonts/cufon-yui.js" type="text/javascript"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/fonts/Futura_MdCn_BT_400.font.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/fonts/Myriad_Pro_600.font.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/fonts/Avenir_500.font.js"></script>
<script type="text/javascript">

			Cufon.replace('.top_list li', {fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.nav ul li a', {hover: 'true' , fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.panel_title',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.panel_title_about',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.footer_nav ul li a',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.return1 a',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.c_add p',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.copy p',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.vendor ul li',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.license p',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.services ul li',{fontFamily: 'Myriad Pro'});

			Cufon.replace('.nivo-caption p h1',{fontFamily: 'Futura MdCn BT'});

			Cufon.replace('.testimonials .post-title',{fontFamily: 'Avenir'});

			Cufon.replace('.testimonials p',{fontFamily: 'Avenir'});

			Cufon.replace('.about_us_content',{fontFamily: 'Avenir'});			

		</script>
<script type="text/javascript">

		function scrollToElement(selector, time, verticalOffset) {

			time = typeof(time) != 'undefined' ? time : 1000;

			verticalOffset = typeof(verticalOffset) != 'undefined' ? verticalOffset : 0;

			element = $(selector);

			offset = element.offset();

			offsetTop = offset.top + verticalOffset;

			$('html, body').animate({

				scrollTop: offsetTop

			}, time);	

		}

		$(document).ready(function() {

			$(".inline").colorbox({inline:true, width:"51%"});	

					$('a.scroll_top').click(function (e) {

						e.preventDefault();

						scrollToElement('#top');

					});

					$('a.scroll_mid_content').click(function (e) {

						e.preventDefault();

						scrollToElement('#mid_content');

					});

					

					$('a.scroll_contact').click(function (e) {

						e.preventDefault();

						scrollToElement('#contact_us');

					});

		});

</script>
<script type="text/javascript">



function clearText(field)



{



if (field.defaultValue == field.value) field.value = '';



}



function restoreText(field) {



if (field.value == '') field.value = field.defaultValue;



}



</script>
</head>

<body <?php body_class(); ?>>
<div id="top"></div>
<div class="container">
<div class="header">
  <div class="logo"> <a href="<?php echo get_option('home'); ?>"> <img src="<?php bloginfo('template_url'); ?>/images/logo.png" width="209" height="110" alt="Ellis Architec Welding" /> </a> </div>
  <div class="top_right">
    <div class="top">
      <ul class="top_list">
        <li>m: <?php echo get_option('h_phone'); ?> </li>
        <li>e: <?php echo get_option('h_email'); ?></li>
        <li class="last-child">licence no. <?php echo get_option('h_license'); ?></li>
      </ul>
    </div>
    <div class="mid"> <a href="mailto:<?php echo get_option('social_em'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/email.png" width="23" height="24" alt="Email" /></a> <a href="<?php echo get_option('social_fb'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/fb.png" width="23" height="24" alt="Facebook" /></a> </div>
    <div class="nav">
      <ul>
        <li><a class="scroll_mid_content" href="#mid_content">Services</a></li>
        <li><a class="scroll_mid_content" href="#mid_content">Testimonials</a></li>
        <li><a class="scroll_contact" href="#contact_us">Contact</a></li>
      </ul>
    </div>
  </div>
</div>
<!--Header Closed-->